Skip to main content
POST
Create a SIP trunk

Authorizations

Authorization
string
header
required

Your Wixzel Voice API key: Authorization: Bearer wv_live_.... Keys are scoped; grant only what the integration needs.

Body

application/json
name
string
required
Required string length: 1 - 64
Pattern: ^[a-zA-Z0-9 _-]+$
host
string
required
Required string length: 1 - 253
Pattern: ^[a-zA-Z0-9.-]+$
port
integer
default:5060
Required range: 1 <= x <= 65535
transport
enum<string>
default:udp
Available options:
udp,
tcp,
tls
username
string
Maximum string length: 128
Pattern: ^[a-zA-Z0-9._-]*$
password
string
Maximum string length: 256
auth_realm
string
Maximum string length: 128
Pattern: ^[a-zA-Z0-9.-]*$
default_caller_id
string
Maximum string length: 64
Pattern: ^[a-zA-Z0-9+ _-]*$
dial_prefix
string
Maximum string length: 16
Pattern: ^[0-9+*#]*$
provider_name
string
Maximum string length: 64

Response

The created a SIP trunk

id
string
required
Pattern: ^[0-9a-f]{24}$
Example:

"6a96a3ead6e886d42462dd3e"

object
enum<string>
required
Available options:
sip_trunk
name
string
required
host
string
required
port
integer
required
transport
enum<string>
required
Available options:
udp,
tcp,
tls
username
string | null
required
provider_name
string | null
required
status
string
required
created_at
string<date-time>
required

ISO 8601, always UTC.

Example:

"2026-09-01T12:00:00.000Z"